<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
require_once("../includes/academia.locale.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();
	
if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));
	exit;	
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(trim($_REQUEST['accion'])!='new'){
	$codigo=$_REQUEST[codigo];
	$accion='edit';
		  
}else{

	$accion='add';
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Asignaturas</title>

<script  type="text/javascript">
//---------------------------------------------------------------------------------------------------------------------
$(document).ready(function(){
	var tipo=$("#accion").attr('acc');
	if(tipo!='new'){
		var dts_ac=jQuery("#listado_aignaturas").getRowData( "<?php echo $codigo ?>" );
		$("#nombre").val(dts_ac['nom_asi']);
		$("#abr").val(dts_ac['abr_asi']);
		$("#pri").val(dts_ac['pri_asi']);		
	}

	$("#accion").click(function(event){
		var tipo=$(this).attr('acc');
		event.preventDefault();
		calcular()
		if(tipo=='new'){
			<?php $ms='newexito' ?>
		}else{
			<?php $ms='editexito' ?>			
		}
		var newDt={
			nom_asi:$("#nombre").val(),
			abr_asi:$("#abr").val(),
			pri_asi: $("#pri").val(),
		}
		
		
		var conf={
			url:'mod_areas/opera_asignaturas.php',
			data:$("#asignaturas_new_edit").serialize(),
			modulo:'asignaturas',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			msg_cmps_oblg:'<?php echo $cleguaje->Phrase('global','cmpobl') ?>', //mensaje campos obligatorios
			recarga:false,
			msgExito:'<?php  echo $cleguaje->Phrase('global', $ms) ?>',
			msg_espere:'<?php  echo $cleguaje->Phrase('global', 'msg_espera') ?>',	
			id_grilla:'listado_aignaturas',
			evento:tipo,
			frm:"#asignaturas_new_edit",
			data_grid:newDt,		
		}
		acciones(conf);
	})
	
	
	
	
	
	//traer el ide del area seleccionada
	var id_area=$("#list_areas").jqGrid('getGridParam','selrow');
	$("#txt_area option[value="+id_area+"]").attr("selected",true);
	
	$("#txt_area").change(function(){
		jQuery("#list_areas").setSelection($(this).val()) 
	})
	
	$(this).bind('cbox_complete',function(){
		$("#nombre").focus();
	})
	
	$("#nombre").valida({
		rulers:2,
		mincar:6,
		lcapital:true
	});
	$("#abr").valida({
		mincar:3,
		required:false
	});
	
	$("#pri").valida({
		mincar:0,
		required:false
	});

	
	$("#txt_area").valida_select();

	
	
	function calcular(){
		var tot=0
		$("input[data-role='numerictextbox']").each(function(index, element) {
				tot=tot+parseInt( $.isNumeric($(this).val()) ? $(this).val() : 0);
        });
		if(tot==100)
			$("#txt_total").val(tot+" %").addClass("campos").removeClass("campos_error").attr("readonly",true)
		else
			$("#txt_total").val(tot+" %").addClass("campos_error").removeClass("campos").attr("readonly",true)
	}
	
	calcular()
	$("#txt_total").poshytip({
		className: 'tip-skyblue',
		bgImageFrameSize: 9,
		offsetX: 0,
		offsetY: 20
	});
	
	

})

</script>

</head>

<body>
<form  method="post" name="asignaturas_new_edit" id="asignaturas_new_edit">
<input name="id" type="hidden" id="id" value="<?php echo $codigo ?>" />
<input type="hidden" name="oper" id="oper" value="<?php echo $accion ?>" />
<table border="0" align="center" cellpadding="2">
  <tr class="ui-widget-header">
    <td colspan="3" align="center" ><?php echo $cleguaje->Phrase('asignaturas','tit1_form') ?></td>
    </tr>
  <tr>
    <td colspan="3" align="left"><span class="tit1"><?php  echo $cleguaje->getField('asignaturas','areas') ?></span>
      <div>
        
        <select name="txt_area" id="txt_area">
          <?php
		  	$cmps="*";
			$ord='2';
			$tabla="aca_areas";
			$cmpcnd="";
			$default=empty($codigo) ? '' : $codigo;
			mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
          ?>
          </select>
      </div></td>
    </tr>
  <tr>
    <td align="left"><span class="tit1"><?php  echo $cleguaje->getField('asignaturas','nom_asig') ?></span>
      <div>
        <input name="nombre" type="text" class="tit2" id="nombre"  value="<?php echo $ap1pro ?>"/>
      </div></td>
    <td align="left"><span class="tit1"><?php  echo $cleguaje->getField('asignaturas','abr_asig') ?></span>
      <div>
        <input name="abr" type="text" class="tit2" id="abr"  value="<?php echo $ap2pro ?>" />
      </div></td>
    <td align="left"><span class="tit1"><?php  echo $cleguaje->getField('asignaturas','pri_asig') ?></span>
      <div>
        <input name="pri" type="text" class="tit2" id="pri"  value="<?php echo $no1pro ?>" />
      </div></td>
    </tr>

  <tr>
    <td colspan="3" align="center" class="tit2">
      <input name="saberes" type="hidden" id="saberes" value="<?php echo $t ?>" />
      <?php
		if($_REQUEST['accion']!='new')
			echo "<input type='image' src='images/guardar.png' id='accion' acc='edit' alt='Actualizar' width='20' height='20' class='opera' title='Actualizar'/>";
		else
			echo "<input type='image' src='images/guardar.png' id='accion' acc='new'  alt='Guardar' width='20' height='20' class='opera' title='Guardar'/>";
	?>
      </td>
  </tr>
</table>
</form>
</body>
</html>